<template>
  <v-container>
    <v-row>
      <v-col cols="12">
        <bid-create
          v-if="userId"
          :consultations="consultations"
          :consultation-id="consultationId"
          :user-id="userId"
        />
      </v-col>
    </v-row>
  </v-container>
</template>

<script lang="ts">
import Vue from "vue";
import Component from "vue-class-component";
import BidCreate from "@/components/bids/BidCreate.vue";
import { AuthInfoResponse } from "@/domain/response/auth/info/AuthInfoResponse";
import { Consultation } from "@/domain/entity/consultation/Consultation";

@Component({
  components: {
    BidCreate
  }
})
export default class BidCreateView extends Vue {
  private get consultationId (): string|null {
    return this.$route.query.consultationId as string || null;
  }

  private get consultations (): Consultation[] {
    return this.$store.getters['consultations/items'];
  }

  private get userId (): string | undefined {
    return (this.$store.getters['auth/info'] as AuthInfoResponse|null)?.id || undefined;
  }

  private async mounted (): Promise<void> {
    await this.$store.dispatch('consultations/fetch');
  }
}
</script>

<style scoped>

</style>
